From 884849cdc2bb71c6b1250a0dc8a0d4ae3d30af95 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 22 2021 10:09:28 +0000
Subject: removed warnings


---

diff --git a/src/landingpage/LandingPage.js b/src/landingpage/LandingPage.js
index b406f41..76f261f 100644
--- a/src/landingpage/LandingPage.js
+++ b/src/landingpage/LandingPage.js
@@ -87,11 +87,13 @@ class LandingPage extends Component {
       this.state.config_mode ? this.available_components : this.state.enabled_components
     )
     components = components.map((row) => (
-      <>
+      <React.Fragment key={row}>
         {row.map((item) => (
-          <div className="padded col-md-6">{available_components[item]}</div>
+          <div className="padded col-md-6" key={item}>
+            {available_components[item]}
+          </div>
         ))}
-      </>
+      </React.Fragment>
     ))
 
     return (
@@ -111,7 +113,7 @@ class LandingPage extends Component {
               {components}
               <div className="padded col-md-12 text-right col-md-offset-2">
                 <Button className="mt" color="primary" onClick={this.toggleModal}>
-                  <i class="fas fa-cog"></i>
+                  <i className="fas fa-cog"></i>
                 </Button>
                 <Modal isOpen={this.state.showModal} toggle={this.toggleModal}>
                   <ModalHeader>Visibility Configuration</ModalHeader>
@@ -119,15 +121,15 @@ class LandingPage extends Component {
                     {this.available_components.map((item) => (
                       <React.Fragment key={item}>
                         <Col sm="12">
-                          <div class="custom-control custom-switch">
+                          <div className="custom-control custom-switch">
                             <input
                               type="checkbox"
-                              class="custom-control-input"
+                              className="custom-control-input"
                               id={item}
                               checked={this.state.enabled_components.includes(item)}
                               onChange={(e) => this.handleVisibilityChange(e, item)}
                             />{" "}
-                            <label class="custom-control-label" for={item}>
+                            <label className="custom-control-label" htmlFor={item}>
                               {item === "events"
                                 ? "Meetings and testdays in the next 7 days"
                                 : item === "minutes"
@@ -158,7 +160,7 @@ class LandingPage extends Component {
                   className="btn btn-primary btn-block btn-wrap-text btn-lg active"
                   to="/wizard"
                   role="button">
-                  Explore <i class="fas fa-search"></i>
+                  Explore <i className="fas fa-search"></i>
                 </Link>
               </div>
             </Row>
diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index ce47599..10de4c2 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -157,7 +157,6 @@ export class FedoraManualTestingItem extends Component {
     }
 
     const testtype = extra_data.testtype
-    const tc_rawname = extra_data.display_name
 
     return (
       <ModalInfo buttonLabel={name}>
@@ -388,7 +387,7 @@ class ModalInfo extends Component {
 
     return (
       <div>
-        <a href="#" onClick={(e) => this.toggle(e)}>
+        <a href="/#" onClick={(e) => this.toggle(e)}>
           {this.props.buttonLabel}
         </a>
         <Modal
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index 5d5b90b..868ecd6 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -18,13 +18,12 @@ const Wizard = (props) => {
 
   const dispatch = useDispatch()
 
-  const getData = () => {
-    dispatch(loadWizardData())
-  }
-
   useEffect(() => {
+    const getData = () => {
+      dispatch(loadWizardData())
+    }
     getData()
-  }, [])
+  }, [dispatch])
 
   return (
     <Layout apiCallStatus={api_call_status}>
diff --git a/src/wizard/step/Step1.js b/src/wizard/step/Step1.js
index d72cd0f..31e8d31 100644
--- a/src/wizard/step/Step1.js
+++ b/src/wizard/step/Step1.js
@@ -1,6 +1,6 @@
 import React, { useState } from "react"
-import { Link, useHistory } from "react-router-dom"
-import { Card, CardText, Button, Col, Row } from "reactstrap"
+import { useHistory } from "react-router-dom"
+import { Card, CardText, Col, Row } from "reactstrap"
 
 const Step1 = (props) => {
   const [selectedItem, setItem] = useState()
diff --git a/src/wizard/step/Step4.js b/src/wizard/step/Step4.js
index 6640fcb..08cc284 100644
--- a/src/wizard/step/Step4.js
+++ b/src/wizard/step/Step4.js
@@ -1,4 +1,4 @@
-import React, { useState } from "react"
+import React from "react"
 import { Row, Col, Card, CardBody, CardHeader } from "reactstrap"
 import { shallowEqual, useSelector } from "react-redux"
 import * as R from "ramda"
@@ -7,15 +7,12 @@ import { useHistory } from "react-router-dom"
 const Step4 = (props) => {
   const { query } = props
 
-  const [selectItem, setselectItem] = useState()
-
   const history = useHistory()
 
   const handleChange = (option) => {
     history.push(
       `/wizard/${query.duration}/${query.provider}/${query.action}/${encodeURIComponent(option)}`
     )
-    setselectItem(option)
   }
 
   const selectAction = (state) => state.wizard.all_actions

